GET api/NTOrderSettings/GetOrderLaboratorySpecimen?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfOrderLaboratorySpecimenDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of OrderLaboratorySpecimenDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "Sequence": 2,
      "OrderLaboratoryTypeId": 3,
      "SpecimenTypeCode": "sample string 4",
      "TangAndCompanyCode": "sample string 5",
      "CPTCode": "sample string 6",
      "SpecimenTypeName": "sample string 7",
      "SpecimenValidFlag": true,
      "Selected": true,
      "LaboratoryId": "sample string 10",
      "IsDefaultSpecimen": true,
      "IsFavourite": true,
      "IsReasonRequired": true,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:28:25.942365-07:00",
      "DateUpdated": "2026-08-04T14:28:25.942365-07:00",
      "UserIDCreated": 17,
      "UserIDUpdated": 18,
      "CompanyCode": "sample string 19",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "Sequence": 2,
      "OrderLaboratoryTypeId": 3,
      "SpecimenTypeCode": "sample string 4",
      "TangAndCompanyCode": "sample string 5",
      "CPTCode": "sample string 6",
      "SpecimenTypeName": "sample string 7",
      "SpecimenValidFlag": true,
      "Selected": true,
      "LaboratoryId": "sample string 10",
      "IsDefaultSpecimen": true,
      "IsFavourite": true,
      "IsReasonRequired": true,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:28:25.942365-07:00",
      "DateUpdated": "2026-08-04T14:28:25.942365-07:00",
      "UserIDCreated": 17,
      "UserIDUpdated": 18,
      "CompanyCode": "sample string 19",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}